Bug 1416445 - Enhancement in our API documentation
Summary: Enhancement in our API documentation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs API Guide
Version: 6.2.6
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Unspecified
Assignee: Stephen Wadeley
QA Contact: Lucie Jirakova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 14:00 UTC by Waldirio M Pinheiro
Modified: 2020-03-11 15:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-20 15:27:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
API Guide (151.89 KB, application/pdf)
2017-01-25 14:01 UTC, Waldirio M Pinheiro
no flags Details
API Guide (184.96 KB, application/pdf)
2017-02-07 16:34 UTC, Pablo Hess
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2112521 None None None 2017-01-25 22:40:45 UTC

Description Waldirio M Pinheiro 2017-01-25 14:00:32 UTC
Document URL: 
https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/api-guide

Section Number and Name: 
4.1. API Examples Using Curl

Describe the issue: 
Customer need create lifecycle using api

Suggestions for improvement: 
According attached file *api.pdf*

Additional information: 
On this document, I added information about how to query info via api, how to prepare the parameters *directly via curl or via external file in json format* and then apply this one on the Satellite Server. It's possible to see example user and lifecycle creation.

Comment 1 Waldirio M Pinheiro 2017-01-25 14:01:58 UTC
Created attachment 1244269 [details]
API Guide

Comment 2 Stephen Wadeley 2017-01-26 08:33:17 UTC
Hello


Thank you for raising this bug.

See also:

Bug 1400966 – Add simple API examples

Comment 3 Pablo Hess 2017-02-07 16:34:34 UTC
Created attachment 1248458 [details]
API Guide


Note You need to log in before you can comment on or make changes to this bug.